> For the complete documentation index, see [llms.txt](https://docs.whereby.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whereby.com/reference.md).

# Reference

- [REST API Reference](https://docs.whereby.com/reference/whereby-rest-api-reference.md)
- [/meetings](https://docs.whereby.com/reference/whereby-rest-api-reference/meetings.md)
- [/insights](https://docs.whereby.com/reference/whereby-rest-api-reference/insights.md)
- [/recordings](https://docs.whereby.com/reference/whereby-rest-api-reference/recordings.md)
- [/transcriptions](https://docs.whereby.com/reference/whereby-rest-api-reference/transcriptions.md)
- [/summaries](https://docs.whereby.com/reference/whereby-rest-api-reference/summaries.md)
- [/rooms](https://docs.whereby.com/reference/whereby-rest-api-reference/rooms.md)
- [Web Component Reference](https://docs.whereby.com/reference/using-the-whereby-embed-element.md): Our web component allows you to embed Whereby's pre-built UI on any webpage. It provides a simple readable integration and exposes local client events and commands between our platform and yours.
- [Core SDK Reference](https://docs.whereby.com/reference/core-sdk-reference.md)
- [Quick Start](https://docs.whereby.com/reference/core-sdk-reference/quick-start.md): The following code snippets show a basic example of using the core sdk to join and leave a room.
- [API Reference](https://docs.whereby.com/reference/core-sdk-reference/api-reference.md)
- [WherebyClient](https://docs.whereby.com/reference/core-sdk-reference/api-reference/wherebyclient.md)
- [LocalMediaClient](https://docs.whereby.com/reference/core-sdk-reference/api-reference/localmediaclient.md)
- [RoomConnectionClient](https://docs.whereby.com/reference/core-sdk-reference/api-reference/roomconnectionclient.md)
- [File Sharing](https://docs.whereby.com/reference/core-sdk-reference/api-reference/roomconnectionclient/file-sharing.md)
- [GridClient](https://docs.whereby.com/reference/core-sdk-reference/api-reference/gridclient.md)
- [Types](https://docs.whereby.com/reference/core-sdk-reference/types.md)
- [LocalMedia Types](https://docs.whereby.com/reference/core-sdk-reference/types/localmedia-types.md)
- [Grid Types](https://docs.whereby.com/reference/core-sdk-reference/types/grid-types.md)
- [RoomConnection Types](https://docs.whereby.com/reference/core-sdk-reference/types/roomconnection-types.md)
- [Assistant SDK Reference](https://docs.whereby.com/reference/assistant-sdk-reference.md)
- [Quick Start](https://docs.whereby.com/reference/assistant-sdk-reference/quick-start.md): The following example shows a basic example of creating an assistant to join a room and send a chat message
- [API Reference](https://docs.whereby.com/reference/assistant-sdk-reference/api-reference.md)
- [Assistant](https://docs.whereby.com/reference/assistant-sdk-reference/api-reference/assistant.md)
- [Trigger](https://docs.whereby.com/reference/assistant-sdk-reference/api-reference/trigger.md)
- [Types](https://docs.whereby.com/reference/assistant-sdk-reference/types.md)
- [Assistant Types](https://docs.whereby.com/reference/assistant-sdk-reference/types/assistant-types.md)
- [Trigger Types](https://docs.whereby.com/reference/assistant-sdk-reference/types/trigger-types.md)
- [React SDK Reference](https://docs.whereby.com/reference/react-hooks-reference.md): The Whereby browser SDK includes React hooks and components which allow integrating a fully custom video experience into your web application.
- [WherebyProvider](https://docs.whereby.com/reference/react-hooks-reference/wherebyprovider.md)
- [VideoView](https://docs.whereby.com/reference/react-hooks-reference/videoview.md)
- [VideoGrid](https://docs.whereby.com/reference/react-hooks-reference/videogrid.md)
- [useLocalMedia](https://docs.whereby.com/reference/react-hooks-reference/uselocalmedia.md)
- [useRoomConnection](https://docs.whereby.com/reference/react-hooks-reference/useroomconnection.md)
- [File Sharing](https://docs.whereby.com/reference/react-hooks-reference/useroomconnection/file-sharing.md)
- [Types](https://docs.whereby.com/reference/react-hooks-reference/types.md)
- [React Native Reference](https://docs.whereby.com/reference/react-native-reference.md)
- [Quick Start](https://docs.whereby.com/reference/react-native-reference/quick-start.md)
- [WherebyEmbed](https://docs.whereby.com/reference/react-native-reference/wherebyembed.md)
- [Camera Effects Reference](https://docs.whereby.com/reference/camera-effects-reference.md)
- [Quick Start](https://docs.whereby.com/reference/camera-effects-reference/quick-start.md): The following code snippets show a basic example of using the camera effects SDK to create an effect stream and use it in the core SDK.
- [API Reference](https://docs.whereby.com/reference/camera-effects-reference/api-reference.md)
- [getUsablePresets](https://docs.whereby.com/reference/camera-effects-reference/api-reference/getusablepresets.md)
- [Audio Denoiser Reference](https://docs.whereby.com/reference/camera-effects-reference-1.md)
- [Quick Start](https://docs.whereby.com/reference/camera-effects-reference-1/quick-start.md)
- [API Reference](https://docs.whereby.com/reference/camera-effects-reference-1/api-reference.md)
- [isAudioDenoiserSupported](https://docs.whereby.com/reference/camera-effects-reference-1/api-reference/getusablepresets.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whereby.com/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
